Attribute VB_Name = "ProjectDeclarations"
'*
'*  MODULE INFORMATION
'*
'*  File name     : ProjectDeclarations.bas
'*
'*  Date          : 15/Sep/2005
'*  Programmer    : MBevan
'*
'*  Description   : Project variable declarations, constants, etc
'*
'*
'*  Comments      : None
'*

Option Explicit

Public Enum TSetSensitivity
    enumLowSensitivity = 0
    enumMediumSensitivity = 1
    enumHighSensitivity = 2
End Enum

Public Enum TDetectionPeriod
    enumShortTermDetection = 0
    enumLongTermDetection = 1
End Enum

Public Enum TProcessState
    enumProcessStateUndetermined = 0
    enumProcessStateIdeal = 1
    enumProcessStateThreshold = 2
    enumProcessStateBrink = 3
    enumProcessStateChaos = 4
End Enum

Public Enum TErrorType
    enumNone = 0
    enumAxSPCError = 1
    enumWinError = 2
End Enum

Public Enum TErrorNumbers
    enumErrorNone = 0
    enumInvalidInputValue = 1
    enumInvalidSubGroupSize = 2
    enumInvalidStartPoint = 3
    enumInvalidStopPoint = 4
    enumInvalidSpecLimit = 5
    enumInvalidSensitivityValue = 6
    enumErrorDataPoints = 7
    enumErrorUnknown = 8
    enumErrorCalculationError = 9
    enumErrorPrecision = 10
    enumErrorHistogramError = 11
    enumErrorNotEnabled = 12
End Enum

